summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSanjay Singh Rawat <sanjay.rawat@linaro.org>2014-02-14 15:07:03 +0530
committerSanjay Singh Rawat <sanjay.rawat@linaro.org>2014-02-14 15:32:13 +0530
commit5bb08e2cc06514a2cb8267ac8a7635992a82b626 (patch)
tree19618c443fa89e46e871e5f37a37e7c31b77ed21
parent83c397c439ecbf206e3bb0aff4455c7a2ad74242 (diff)
pmqa: run sanity file before starting tests
- verify using the sanity script return status, whether the subtest is suppoerted or not - remove the sched_mc test as its not supported Change-Id: I1314fdf60a7938124391853472a4bb3093a5630f Signed-off-by: Sanjay Singh Rawat <sanjay.rawat@linaro.org>
-rwxr-xr-xcommon/scripts/pm-qa.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/common/scripts/pm-qa.sh b/common/scripts/pm-qa.sh
index 444826b..e9a6576 100755
--- a/common/scripts/pm-qa.sh
+++ b/common/scripts/pm-qa.sh
@@ -35,9 +35,10 @@ test_func(){
pwd_dir=$PWD
echo $pwd
- tests_dirs="cpuidle cpufreq cpuhotplug sched_mc suspend thermal utils"
+ tests_dirs="cpuidle cpufreq cpuhotplug suspend thermal utils"
for dir in $tests_dirs; do
+ var=$dir'_sanity.sh'
subDir=${pwd_dir}/$dir
if [ -d $subDir ]; then
cd $subDir
@@ -46,6 +47,12 @@ test_func(){
fi
echo `pwd`
+
+ /system/bin/sh $var
+ if [ $? -ne 0 ]; then
+ continue
+ fi
+
for file in `find . -name "*.sh"`; do
path=$file
echo $path